| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IErrorTool Class Reference

`#include <GaudiTools/IErrorTool.h>`

Inheritance diagram for IErrorTool:

[legend]
Collaboration diagram for IErrorTool:

[legend]
List of all members.

## Detailed Description

Author:
  Ivan BELYAEV

Date:
  2004-06-28

Definition at line 26 of file IErrorTool.h.

## Public Member Functions
virtual StatusCode | Error (const std::string &msg, const StatusCode st=StatusCode::FAILURE, const size_t mx=10) const =0
| Print the error message, return status code and perform the statistics of error messages.
virtual StatusCode | Warning (const std::string &msg, const StatusCode st=StatusCode::FAILURE, const size_t mx=10) const =0
| Print the warning message, return status code and perform the statistics of warning messages.
virtual StatusCode | Print (const std::string &msg, const StatusCode st=StatusCode::SUCCESS, const MSG::Level lev=MSG::INFO) const =0
| Print the message and return status code.
virtual StatusCode | Assert (const bool ok, const std::string &message="", const StatusCode sc=StatusCode::FAILURE) const =0
| Assertion - throw exception, if condition is not fulfilled.
virtual StatusCode | Exception (const std::string &msg, const GaudiException &exc, const StatusCode sc=StatusCode::FAILURE) const =0
| Create and (re)-throw the exception.
virtual StatusCode | Exception (const std::string &msg, const std::exception &exc, const StatusCode sc=StatusCode::FAILURE) const =0
| Create and (re)-throw the exception.
virtual StatusCode | Exception (const std::string &msg="no message", const StatusCode sc=StatusCode::FAILURE) const=0
| Create and throw the exception.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Return the unique interface ID.
## Protected Member Functions
virtual | ~IErrorTool ()
| destructor: virtual and protected

## Constructor & Destructor Documentation

IErrorTool::~IErrorTool | ( |  | ) | `[protected, virtual]`

destructor: virtual and protected

Definition at line 37 of file IErrorTool.cpp.

    00037 {};

## Member Function Documentation

const InterfaceID & IErrorTool::interfaceID | ( |  | ) | `[static]`

Return the unique interface ID.

Reimplemented from IAlgTool.

Definition at line 31 of file IErrorTool.cpp.

References IID_IErrorTool.

    00031 { return IID_IErrorTool ; }

virtual StatusCode IErrorTool::Error | ( | const std::string & | msg,
|  | const StatusCode | st = `StatusCode::FAILURE`,
|  | const size_t | mx = `10` |
| ) |  |  | const`[pure virtual]`

Print the error message, return status code and perform the statistics of error messages.

      IErrorTool* tool = .. ;
       if( a < 0 ) { return tool->Error(" 'a' is negative!") ;}
       if( b < 0 ) { return tool->Error(" 'b' is illegal!" , StatusCode(25) );
       if( c < 0 )
          { return tool->Error(" 'c' is negative" , StatusCode(35) , 50 );

See also:
  MsgStream

  IMessageSvc

  StatusCode

Parameters:

  | msg | error message
  | st | status code
  | mx | maximal number of printouts

Returns:
  status code

Implemented in ErrorTool.

virtual StatusCode IErrorTool::Warning | ( | const std::string & | msg,
|  | const StatusCode | st = `StatusCode::FAILURE`,
|  | const size_t | mx = `10` |
| ) |  |  | const`[pure virtual]`

Print the warning message, return status code and perform the statistics of warning messages.

See also:
  MsgStream

  IMessageSvc

  StatusCode

Parameters:

  | msg | warning message
  | st | statsu code
  | mx | maximal number of printouts

Returns:
  status code

Implemented in ErrorTool.

virtual StatusCode IErrorTool::Print | ( | const std::string & | msg,
|  | const StatusCode | st = `StatusCode::SUCCESS`,
|  | const MSG::Level | lev = `MSG::INFO` |
| ) |  |  | const`[pure virtual]`

Print the message and return status code.

See also:
  MsgStream

  IMessageSvc

  StatusCode

Parameters:

  | msg | warning message
  | st | status code
  | lev | print level

Returns:
  status code

Implemented in ErrorTool.

virtual StatusCode IErrorTool::Assert | ( | const bool | ok,
|  | const std::string & | message = `""`,
|  | const StatusCode | sc = `StatusCode::FAILURE` |
| ) |  |  | const`[pure virtual]`

Assertion - throw exception, if condition is not fulfilled.

See also:
  CaloException

  GaudiException

Exceptions:

  | CaloException | for invalid condifition

Parameters:

  | ok | condition which should be "true"
  | message | message to be associated with the exception
  | sc | status code to be returned (artificial)

Returns:
  status code

Implemented in ErrorTool.

virtual StatusCode IErrorTool::Exception | ( | const std::string & | msg,
|  | const GaudiException & | exc,
|  | const StatusCode | sc = `StatusCode::FAILURE` |
| ) |  |  | const`[pure virtual]`

Create and (re)-throw the exception.

See also:
  GaudiException

Exceptions:

  | CaudiException | always!

Parameters:

  | msg | exception message
  | exc | (previous) exception of type GaudiException
  | sc | status code

Returns:
  status code (fictive)

Implemented in ErrorTool.

virtual StatusCode IErrorTool::Exception | ( | const std::string & | msg,
|  | const std::exception & | exc,
|  | const StatusCode | sc = `StatusCode::FAILURE` |
| ) |  |  | const`[pure virtual]`

Create and (re)-throw the exception.

See also:
  GaudiException

Exceptions:

  | GaudiException | always!

Parameters:

  | msg | exception message
  | exc | (previous) exception of type std::exception
  | sc | status code

Returns:
  status code (fictive)

Implemented in ErrorTool.

virtual StatusCode IErrorTool::Exception | ( | const std::string & | msg = `"no message"`,
|  | const StatusCode | sc = `StatusCode::FAILURE` |
| ) |  |  | const`[pure virtual]`

Create and throw the exception.

See also:
  GaudiException

Exceptions:

  | GaudiException | always!

Parameters:

  | msg | exception message
  | sc | status code

Returns:
  status code (fictive)

Implemented in ErrorTool.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/IErrorTool.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/lib/IErrorTool.cpp